function Create(self)
	local Parent = MovableMan:GetRootMOID(SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y))
	if Parent then
		local Parent = MovableMan:GetMOFromID(Parent)
		if Parent then
			Parent = ToActor(Parent)
			if not gMultiShot then
				gMultiShot = {}
			end
			
			if not gMultiShot[Parent.ID] then
				gMultiShot[Parent.ID] = {}
				gMultiShot[Parent.ID].rnd = 1
				gMultiShot[Parent.ID].recoil = 0.0016
				gMultiShot[Parent.ID].Time = Timer()
			else
				if gMultiShot[Parent.ID].Time:IsPastSimMS(360) then
					gMultiShot[Parent.ID].recoil = 0.0016
				else
					gMultiShot[Parent.ID].recoil = math.min(gMultiShot[Parent.ID].recoil + 16/gMultiShot[Parent.ID].Time.ElapsedSimTimeMS, 0.15)
				end
				
				-- Hip fire
				if not Parent:GetController():IsState(Controller.AIM_SHARP) then
					gMultiShot[Parent.ID].recoil = gMultiShot[Parent.ID].recoil * 1.2 + 0.02
				end
				
				gMultiShot[Parent.ID].Time:Reset()
			end
			
			local Pt = CreateMOPixel("Particle 7.62x39", "Base.rte")
			if Pt then
				local ang = Parent:GetAimAngle(true)
				if ang > 1.571 then	-- Left
					Pt.Vel = Parent.Vel + Vector(130,0):RadRotate(ang + RangeRand(-gMultiShot[Parent.ID].recoil, gMultiShot[Parent.ID].recoil/3))
				else	-- Right
					Pt.Vel = Parent.Vel + Vector(130,0):RadRotate(ang + RangeRand(-gMultiShot[Parent.ID].recoil/3, gMultiShot[Parent.ID].recoil))
				end
				
				Pt.Pos = self.Pos + Vector(20,0):RadRotate(ang)
				Pt:SetWhichMOToNotHit(Parent, -1)
				MovableMan:AddParticle(Pt)
			end
		end
	end
	
	self.ToDelete = true
end