function Create(self)
	local Mo = MovableMan:GetRootMOID(SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y))
	if Mo then
		local Parent = MovableMan:GetMOFromID(Mo)
		if Parent then
			Parent = ToActor(Parent)
			if not gMultiShot then
				gMultiShot = {}
			end
			
			if not gMultiShot[Parent.ID] then
				gMultiShot[Parent.ID] = {}
				gMultiShot[Parent.ID].rnd = 1
				gMultiShot[Parent.ID].recoil = 0.01
				gMultiShot[Parent.ID].Time = Timer()
			else
				if gMultiShot[Parent.ID].Time:IsPastSimMS(140) then
					gMultiShot[Parent.ID].recoil = 0.01
				else
					gMultiShot[Parent.ID].recoil = math.min(gMultiShot[Parent.ID].recoil + 2.8/gMultiShot[Parent.ID].Time.ElapsedSimTimeMS, 0.15)
				end
				
				-- Hip fire
				if not Parent:GetController():IsState(Controller.AIM_SHARP) then
					gMultiShot[Parent.ID].recoil = gMultiShot[Parent.ID].recoil * 1.2 + 0.02
				end
				
				gMultiShot[Parent.ID].Time:Reset()
			end
			
			local ang = Parent:GetAimAngle(true)
			local Pt = nil
			if gMultiShot[Parent.ID].rnd < 5 then
				Pt = CreateMOPixel("Particle SMG", "Base.rte")
				gMultiShot[Parent.ID].rnd = gMultiShot[Parent.ID].rnd + 1
			else
				Pt = CreateMOPixel("Particle SMG Tracer", "Base.rte")
				gMultiShot[Parent.ID].rnd = 1
			end
			
			if Pt then
				if ang > 1.571 then	-- Left
					Pt.Vel = Parent.Vel + Vector(80,0):RadRotate(ang + RangeRand(-gMultiShot[Parent.ID].recoil, gMultiShot[Parent.ID].recoil/2))
				else	-- Right
					Pt.Vel = Parent.Vel + Vector(80,0):RadRotate(ang + RangeRand(-gMultiShot[Parent.ID].recoil/2, gMultiShot[Parent.ID].recoil))
				end
				
				Pt.Pos = self.Pos + Vector(14,0):RadRotate(ang)
				Pt:SetWhichMOToNotHit(Parent, -1)
				MovableMan:AddParticle(Pt)
				
				if gMultiShot[Parent.ID].recoil > 0.09 then
					local Smk = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
					Smk.Vel = Parent.Vel + Vector(RangeRand(2,4),0):RadRotate(ang + RangeRand(-0.012, 0.012))
					Smk.Pos = Pt.Pos
					MovableMan:AddParticle(Smk)
				end
			end
		end
	end
	
	self.ToDelete = true
end